GNU bug report logs - #40187
28.0.50; [feature/native-comp] File mode specification error when opening .tex file

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: sebastien.miquel@HIDDEN; Done: Andrea Corallo <akrl@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 40187 <at> debbugs.gnu.org:


Received: (at 40187) by debbugs.gnu.org; 30 Mar 2020 02:35:37 +0000
From akrl@HIDDEN Sun Mar 29 09:17:06 2020
Received: from mx.sdf.org ([205.166.94.20]:56146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jIXoH-0001M7-BQ
 for 40187 <at> debbugs.gnu.org; Sun, 29 Mar 2020 09:17:06 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 02TDH3eV021774
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 29 Mar 2020 13:17:04 GMT
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 02TDH2vr031179;
 Sun, 29 Mar 2020 13:17:02 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: =?utf-8?Q?S=C3=A9bastien?= Miquel <sebastien.miquel@HIDDEN>
Cc: 40187 <at> debbugs.gnu.org
Subject: Re: bug#40187: 28.0.50;
 [feature/native-comp] File mode specification error when opening .tex
 file
References: <530710a8-3dbe-c86b-1023-3e1e4ccc9a3b@HIDDEN>
 <xjfv9mw9hnw.fsf@HIDDEN> <xjfy2rlshap.fsf@HIDDEN>
Date: Sun, 29 Mar 2020 13:17:02 +0000
In-Reply-To: <xjfy2rlshap.fsf@HIDDEN> (Andrea Corallo's message of "Fri, 27
 Mar 2020 19:56:30 +0000")
Message-ID: <xjfeetbmhbl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40187
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 13:17:06 -0000

I believe this is fixed by d5f6dc131b
"Prevent collisions in C namespace and function shadowing".

BTW also 6075a7c5 removes the trick within latex-mode.el that highlighted
the compiler bug.

Closing

-- 
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40187; Package emacs. Full text available.
bug closed, send any further explanations to 40187 <at> debbugs.gnu.org and sebastien.miquel@HIDDEN Request was from Andrea Corallo <akrl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40187 <at> debbugs.gnu.org:


Received: (at 40187) by debbugs.gnu.org; 29 Mar 2020 17:26:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 29 13:26:43 2020
Received: from localhost ([127.0.0.1]:59680 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIbhr-00088V-C1
	for submit <at> debbugs.gnu.org; Sun, 29 Mar 2020 13:26:43 -0400
Received: from mx.sdf.org ([205.166.94.20]:58156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jIbhm-00088K-Co
 for 40187 <at> debbugs.gnu.org; Sun, 29 Mar 2020 13:26:42 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 02THQb60025390
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 29 Mar 2020 17:26:37 GMT
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 02THQZWM029642;
 Sun, 29 Mar 2020 17:26:35 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: =?utf-8?Q?S=C3=A9bastien?= Miquel <sebastien.miquel@HIDDEN>
Subject: Re: bug#40187: 28.0.50;
 [feature/native-comp] File mode specification error when opening .tex
 file
In-Reply-To: <xjfy2rlshap.fsf@HIDDEN> (Andrea Corallo's message of "Fri, 27
 Mar 2020 19:56:30 +0000")
References: <530710a8-3dbe-c86b-1023-3e1e4ccc9a3b@HIDDEN>
 <xjfv9mw9hnw.fsf@HIDDEN> <xjfy2rlshap.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
Date: Sun, 29 Mar 2020 17:26:35 +0000
Message-ID: <xjfd08vkr78.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40187
Cc: 40187 <at> debbugs.gnu.org, Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I believe this is fixed by d5f6dc131b
"Prevent collisions in C namespace and function shadowing".

BTW also 6075a7c5 removes the trick within latex-mode.el that highlighted
the compiler bug.

Closing

-- 
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40187; Package emacs. Full text available.

Message received at 40187 <at> debbugs.gnu.org:


Received: (at 40187) by debbugs.gnu.org; 27 Mar 2020 20:23:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 16:23:02 2020
Received: from localhost ([127.0.0.1]:33325 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHvVO-0006ws-BX
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 16:23:02 -0400
Received: from mx.sdf.org ([205.166.94.20]:50958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jHvVM-0006w5-N1
 for 40187 <at> debbugs.gnu.org; Fri, 27 Mar 2020 16:23:01 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 02RKMv2U015258
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Fri, 27 Mar 2020 20:22:57 GMT
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 02RKMvlV026979;
 Fri, 27 Mar 2020 20:22:57 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: =?utf-8?Q?S=C3=A9bastien?= Miquel <sebastien.miquel@HIDDEN>
Subject: Re: bug#40187: 28.0.50;
 [feature/native-comp] File mode specification error when opening .tex
 file
References: <530710a8-3dbe-c86b-1023-3e1e4ccc9a3b@HIDDEN>
 <xjfv9mw9hnw.fsf@HIDDEN> <xjfy2rlshap.fsf@HIDDEN>
Date: Fri, 27 Mar 2020 20:22:57 +0000
In-Reply-To: <xjfy2rlshap.fsf@HIDDEN> (Andrea Corallo's message of "Fri, 27
 Mar 2020 19:56:30 +0000")
Message-ID: <xjfmu81sg2m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40187
Cc: 40187 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo <akrl@HIDDEN> writes:

> when compiled by the native compiler prints "BBB" that is clearly
                                     ^^^
                                  loading it

--
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40187; Package emacs. Full text available.

Message received at 40187 <at> debbugs.gnu.org:


Received: (at 40187) by debbugs.gnu.org; 27 Mar 2020 19:56:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 15:56:36 2020
Received: from localhost ([127.0.0.1]:33320 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHv5o-0006FK-2i
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 15:56:36 -0400
Received: from mx.sdf.org ([205.166.94.20]:53977)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jHv5l-0006F9-ID
 for 40187 <at> debbugs.gnu.org; Fri, 27 Mar 2020 15:56:34 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 02RJuWYK003234
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Fri, 27 Mar 2020 19:56:32 GMT
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 02RJuURm013834;
 Fri, 27 Mar 2020 19:56:30 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: =?utf-8?Q?S=C3=A9bastien?= Miquel <sebastien.miquel@HIDDEN>
Subject: Re: bug#40187: 28.0.50;
 [feature/native-comp] File mode specification error when opening .tex
 file
References: <530710a8-3dbe-c86b-1023-3e1e4ccc9a3b@HIDDEN>
 <xjfv9mw9hnw.fsf@HIDDEN>
Date: Fri, 27 Mar 2020 19:56:30 +0000
In-Reply-To: <xjfv9mw9hnw.fsf@HIDDEN> (Andrea Corallo's message of "Sun, 22
 Mar 2020 21:57:39 +0000")
Message-ID: <xjfy2rlshap.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40187
Cc: 40187 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I looked into it and reduced the bug.

The following code

#+BEGIN_SRC elisp

(defun foo ()
  (message "AAA"))

(defalias 'bar (symbol-function 'foo))

(defun foo ()
  (message "BBB"))

(bar)

#+END_SRC

when compiled by the native compiler prints "BBB" that is clearly
totally wrong.  Actually after loading it any following evaluation of
(bar) prints "BBB".

Interesting we can have two functions with the same name, haven't
thought it... small details :) :)

Going to fix it by the weekend.

  Andrea

-- 
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40187; Package emacs. Full text available.

Message received at 40187 <at> debbugs.gnu.org:


Received: (at 40187) by debbugs.gnu.org; 22 Mar 2020 21:57:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 22 17:57:45 2020
Received: from localhost ([127.0.0.1]:51094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jG8bJ-0007et-F6
	for submit <at> debbugs.gnu.org; Sun, 22 Mar 2020 17:57:45 -0400
Received: from mx.sdf.org ([205.166.94.20]:61800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jG8bH-0007eh-6K
 for 40187 <at> debbugs.gnu.org; Sun, 22 Mar 2020 17:57:44 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 02MLveBe013417
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 22 Mar 2020 21:57:40 GMT
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 02MLvdTC015812;
 Sun, 22 Mar 2020 21:57:39 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: =?utf-8?Q?S=C3=A9bastien?= Miquel <sebastien.miquel@HIDDEN>
Subject: Re: bug#40187: 28.0.50;
 [feature/native-comp] File mode specification error when opening .tex
 file
References: <530710a8-3dbe-c86b-1023-3e1e4ccc9a3b@HIDDEN>
Date: Sun, 22 Mar 2020 21:57:39 +0000
In-Reply-To: <530710a8-3dbe-c86b-1023-3e1e4ccc9a3b@HIDDEN>
 (=?utf-8?Q?=22S=C3=A9bastien?=
 Miquel"'s message of "Sun, 22 Mar 2020 21:10:39 +0100")
Message-ID: <xjfv9mw9hnw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40187
Cc: 40187 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

S=C3=A9bastien Miquel <sebastien.miquel@HIDDEN> writes:

> Hi,
>
> I've been trying out the native-comp branch.
>
> With emacs -Q, opening any file test.tex gives the following error:
> File mode specification error: (error List nesting exceeds
> 'max-lisp-eval-depth).

Hi S=C3=A9bastien,

I've recently incurred the same.  Evaluating tex-mode.el solves the
issue therefore I assume the trouble has to be investigate in that file.

Thanks for reporting, it's good we have it listed here.

  Andrea

--=20
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40187; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Mar 2020 21:36:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 22 17:36:00 2020
Received: from localhost ([127.0.0.1]:51067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jG8GF-00072I-NA
	for submit <at> debbugs.gnu.org; Sun, 22 Mar 2020 17:36:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:43323)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sebastien.miquel@HIDDEN>) id 1jG6vp-0004Cn-PQ
 for submit <at> debbugs.gnu.org; Sun, 22 Mar 2020 16:10:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37065)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <sebastien.miquel@HIDDEN>) id 1jG6vn-0006Yz-L7
 for bug-gnu-emacs@HIDDEN; Sun, 22 Mar 2020 16:10:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.5 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_MED,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sebastien.miquel@HIDDEN>) id 1jG6vm-00087U-3T
 for bug-gnu-emacs@HIDDEN; Sun, 22 Mar 2020 16:10:47 -0400
Received: from mout01.posteo.de ([185.67.36.65]:54205)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sebastien.miquel@HIDDEN>)
 id 1jG6vk-00085k-AK
 for bug-gnu-emacs@HIDDEN; Sun, 22 Mar 2020 16:10:44 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 4C9B3160061
 for <bug-gnu-emacs@HIDDEN>; Sun, 22 Mar 2020 21:10:41 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.eu; s=2017;
 t=1584907841; bh=vl/AMt1S5BCN82NPjzSkqn27pb4i+hGWwzEmCbcCGXw=;
 h=To:From:Subject:Date:From;
 b=lFekMhuDpFZkXuAK8j/kvVxA4R38INHIuc3Ap33eayrCTJ5clZ6pxu5wZ3G6wuB2K
 CYrYAVDsVBj7XL9Gb/yqH31EKb7o7udVsowKi3CIaB2cXbTtwzya+xNcdAF+WS2Dq5
 5er7sd8VmtpvNQ7+0dchiYULZjEmTg8mr/4uxm3iDfEDUV8ZuUSx0DYjshz56BpmS1
 Qy0vzc1ByNSpTj4mzbUhmv1570cV2rI3uoTqRFt5hd5E/RmjgbIgqx8GjGFVL8utR2
 BM8BkQ7tjA4CPzZbRWHSFRK9CBQNJb4rZgj+1WzhibhCFTr0x3XOZB5eNFiabegFI/
 +l9YREfSvrtqA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 48lpXw4dQbz6tm7
 for <bug-gnu-emacs@HIDDEN>; Sun, 22 Mar 2020 21:10:40 +0100 (CET)
To: bug-gnu-emacs@HIDDEN
From: =?UTF-8?Q?S=c3=a9bastien_Miquel?= <sebastien.miquel@HIDDEN>
Subject: 28.0.50; [feature/native-comp] File mode specification error when
 opening .tex file
Message-ID: <530710a8-3dbe-c86b-1023-3e1e4ccc9a3b@HIDDEN>
Date: Sun, 22 Mar 2020 21:10:39 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.6.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: fr
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 185.67.36.65
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 22 Mar 2020 17:35:58 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: sebastien.miquel@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi,

I've been trying out the native-comp branch.

With emacs -Q, opening any file test.tex gives the following error: File=20
mode specification error: (error List nesting exceeds 'max-lisp-eval-dept=
h).



In GNU Emacs 28.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version=20
3.24.14, cairo version 1.17.3)
 =C2=A0of 2020-03-20
Repository revision: 64a6709f648f4f6363e1d9d63cc4fc33ff5e0340
Repository branch: makepkg
Windowing system distributor 'The X.Org Foundation', version 11.0.1200700=
0
System Description: Arch Linux

Configured using:
 =C2=A0'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr=
/lib
 =C2=A0--localstatedir=3D/var --mandir=3D/usr/share/man --with-gameuser=3D=
:games
 =C2=A0--with-sound=3Dalsa --with-modules --without-gconf --without-gsett=
ings
 =C2=A0--enable-link-time-optimization --with-x-toolkit=3Dgtk3 --without-=
xaw3d
 =C2=A0--without-m17n-flt --with-cairo --without-compress-install
 =C2=A0--with-nativecomp 'CFLAGS=3D-march=3Dx86-64 -mtune=3Dgeneric -O2 -=
pipe
 =C2=A0-fno-plt -g -flto -fuse-linker-plugin -s -fuse-ld=3Dgold'
 =C2=A0CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
 =C2=A0LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GLIB NOTIFY INOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
 =C2=A0 value of $LC_ALL: en_US.UTF-8
 =C2=A0 value of $LANG: en_US.UTF-8
 =C2=A0 locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
 =C2=A0 shell-dirtrack-mode: t
 =C2=A0 tooltip-mode: t
 =C2=A0 global-eldoc-mode: t
 =C2=A0 electric-indent-mode: t
 =C2=A0 mouse-wheel-mode: t
 =C2=A0 tool-bar-mode: t
 =C2=A0 menu-bar-mode: t
 =C2=A0 file-name-shadow-mode: t
 =C2=A0 global-font-lock-mode: t
 =C2=A0 font-lock-mode: t
 =C2=A0 blink-cursor-mode: t
 =C2=A0 auto-composition-mode: t
 =C2=A0 auto-encryption-mode: t
 =C2=A0 auto-compression-mode: t
 =C2=A0 line-number-mode: t
 =C2=A0 transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search seq
byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils time-date subr-x
cl-loaddefs cl-lib tex-mode compile shell pcomplete comint ansi-color
ring latexenc tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting font-render-setting cairo move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)





Acknowledgement sent to sebastien.miquel@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40187; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Mar 2020 02:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.